uk.gov.hmrc.objectstore.client.play.PlayObjectStoreClient

# Implicits

###
Related Doc: package PlayObjectStoreClient

#### object Implicits extends PlayObjectStoreContentReads with PlayObjectStoreContentWrites

Linear Supertypes
PlayObjectStoreContentWrites, PlayObjectStoreContentReads, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Implicits
2. PlayObjectStoreContentWrites
3. PlayObjectStoreContentReads
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object InMemoryReads extends InMemoryPlayObjectStoreContentReads

5. #### implicit def akkaSourceContentRead: ObjectStoreContentRead[Future, WSResponse, Source[ByteString, NotUsed]]

   Definition Classes
     PlayObjectStoreContentReads

6. #### implicit def akkaSourceContentWrite[Mat](implicit ec: ExecutionContext, m: Materializer): ObjectStoreContentWrite[Future, Source[ByteString, Mat], Request]

   Definition Classes
     PlayObjectStoreContentWrites

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### implicit lazy val bytesWrite: ObjectStoreContentWrite[Future, Array[Byte], Request]

   Definition Classes
     PlayObjectStoreContentWrites

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### implicit val fileWrite: ObjectStoreContentWrite[Future, File, Request]

    Definition Classes
      PlayObjectStoreContentWrites

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### implicit def payloadAkkaSourceContentWrite[Mat]: ObjectStoreContentWrite[Future, Payload[Source[ByteString, Mat]], Request]

    Definition Classes
      PlayObjectStoreContentWrites

21. #### implicit lazy val stringWrite: ObjectStoreContentWrite[Future, String, Request]

    Definition Classes
      PlayObjectStoreContentWrites

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayObjectStoreContentWrites

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped